// Floating button
.btn-floating {
  display: inline-block;
  color: $button-color-raised;
  position: relative;
  overflow: hidden;
  z-index: 1;
  width: $button-floating-size;
  height: $button-floating-size;
  line-height: $button-floating-size;
  padding: 0;
  background-color: $accent-color;
  border-radius: 100%;
  box-shadow: 
      0 0 4px rgba(0, 0, 0, 0.14),
      0 4px 8px rgba(0, 0, 0, 0.33),
      0 1px 0 rgba(0, 0, 0, 0.1);
  cursor: pointer;
  vertical-align: middle;
  text-align: center;

  &:hover {
    transition: .05s;
  }

  i {
    width: inherit;
    display: inline-block;
    text-align: center;
    color:#000;
    font-size: $button-large-icon-font-size;
    line-height: $button-floating-size;
  }

  &:hover {
    box-shadow: 0 0 6px rgba(0,0,0,.16),0 6px 12px rgba(0,0,0,.32);
  }
  &:before {
    border-radius: 0;
  }
  &.btn-large {
    width: $button-floating-size;
    height: $button-floating-size;
    i{
      line-height: $button-floating-size;
    }
  }

}
// button fix
button.btn-floating {
  border: none;
}

$button-floating-small-size:2.133rem;

.btn-floating-small{
  background-color: #f0f0f0;
  width: $button-floating-small-size;
  height: $button-floating-small-size;
  line-height: $button-floating-small-size;
  box-shadow: 
      0 0 2px rgba(0, 0, 0, 0.14),
      0 2px 4px rgba(0, 0, 0, 0.25),
      0 1px 0 rgba(0, 0, 0, 0.1);

  i{
    line-height: $button-floating-small-size;
    color:#666;
  }
  &:hover{
    background-color: lighten($light-grey,3%);
    box-shadow: 
        0 0 2px rgba(0, 0, 0, 0.14),
        0 2px 4px rgba(0, 0, 0, 0.4),
        0 1px 0 rgba(0, 0, 0, 0.1);
    i{color:#000;}
  }
  &:active{
    box-shadow: 
        0 0 2px rgba(0, 0, 0, 0.14),
        0 2px 4px rgba(0, 0, 0, 0.33),
        0 1px 0 rgba(0, 0, 0, 0.1);
  }
}
